rem @echo off
rem Davka vyvola prohlizec souboru dvi. Pritom si sama nastavi potrebne
rem promenne, nejsou-li tyto promenne nastaveny.
rem Pouziti:
rem          vd soubor.dvi     nebo    vd soubor
rem *******************************************************************
rem 16.5.97                           Hans Ginzel (mirne upravil P. O.)

if not "%1"=="/cmd" goto normal

rem called with command.com (enlarged environment space)
  set EMTEXDIR=c:\emtex
  set DVIDRVFONTS=%EMTEXDIR%\fonts
  if '%DVIDRVFONTS%==' goto sorry
  if '%MFJOBOPT%==' set MFJOBOPT=/3/i
  rem kvuli mfjob.exe a emx/rsx pro METAFONT:
  set PATH=%EMTEXDIR%\bin;%PATH%
shift
goto run

:normal
  if '%EMTEXDIR%=='    goto command
  if '%DVIDRVFONTS%==' goto command
  if not exist %DVIDRVFONTS%\pixel.lj\nul goto command

:run
  if '%TMP%==' set TMP=%TEMP%
  if '%TMP%==' set TMP=.
  if '%MFJOBOPT%==' set MFJOBOPT=/3
  if '%1==' goto nofile
  dvidrv dviscr7 @lj /pl:$DVIDRVFONTS:lj_{cbas,more} /o:3 @cs %SCROPT% %1 %2 %3 %4 %5 %6 %7 %8 %9
  goto end

:nofile
  dvidrv dviscr7 @lj /pl:$DVIDRVFONTS:lj_{cbas,more} /o:3 @cs %SCROPT% %MAIN%
  goto end

:command
  if '%COMSPEC%==' goto end
  echo Enlarging environment space
  %COMSPEC% /e:1024 /c %0 /cmd %1 %2 %3 %4 %5 %6 %7 %8 %9
  goto end

:sorry
  echo ERROR! Sorry, I cannot set the DVIDRVFONTS variable

:end


